Getting "unable to load a certificate in this file" when trying to publish APK

Explorer ,
Mar 31, 2017 Mar 31, 2017

Copy link to clipboard

Copied

I wanted to update one of my apps, but when I try to publish it, I receive the following message:

Bildschirmfoto 2017-04-01 um 00.32.09.png

What is wrong with my certificate?

Views

9.2K

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct Answer

Explorer , Apr 03, 2017 Apr 03, 2017
Yeah, it works! Just installed "Adobe Animate 2015.2" and was able to publish my app using AIR 25.Temporary fix: Don't use the latest version of Animate CC 2017.

Likes

translate

Translate

Translate
Contributor ,
Apr 04, 2017 Apr 04, 2017

Copy link to clipboard

Copied

Thanks Mohanaraj. Are you also able to check the below AIR issue that doesn't work with Animate? I posted the android logs. AIR 25 fixed the AIR side but in Animate, it doesn't work (confirmed by Distriqt as well). Is this fixed in the new Animate assuming we get past this cert issue?

Tracker

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Apr 04, 2017 Apr 04, 2017

Copy link to clipboard

Copied

You could check the other topic and make the change to point ADT at the old Java. Then you could test Animate CC 2017.2 with the 1024 bit certificate and the Distriqt dialog.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Apr 15, 2017 Apr 15, 2017

Copy link to clipboard

Copied

Hi. Any news on a solution? I have Animate CC 2017 and I´m getting the same message:

“Could not access the digital certificate.

unable to load a certificate in this file”

Please, some help to fix this.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Apr 21, 2017 Apr 21, 2017

Copy link to clipboard

Copied

how to install previous cc versions,Download and install Creative Cloud apps

i saw this problem using a self-signed certificate i created in 2014.  using animate cc 2015.2 resolved the error.  i needed to use the old certificate to update a google play app that was signed with the older certificate when it was originally uploaded to google play.

using more recently created self-signed certificates worked fine with animate cc 2017.  i just couldn't update that app with the newer certificate (because the SHA1 fingerprints of the older and newer certificates are different).

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Participant ,
Apr 10, 2017 Apr 10, 2017

Copy link to clipboard

Copied

I managed to package APK using ADT from AIR 23 and 24, but downgrading Java to 1.8.0_74, with the latest Java version the command line packaging process produces exactly the same error.

I think it is a combination of Java / Anmate CC Issue.

I was able to package with the previous version of animate and previous version of Java, using exactly the same Adobe AIR version. May be ADT has something to do, but it seems less probable...

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Apr 13, 2017 Apr 13, 2017

Copy link to clipboard

Copied

Downgrade to Java 1.8.0_111 or 1.8.0_25 will help.

"unable to load a certificate in this file" appeared right after updating Java to latest 1.8.0_121 version

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Apr 15, 2017 Apr 15, 2017

Copy link to clipboard

Copied

Ok guys i have the same problem.

I didnt install Java before manually, maybe it installed with some games automaticly - i dont know.

Installed new air beta sdk - it didnt helped.

Help.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Apr 15, 2017 Apr 15, 2017

Copy link to clipboard

Copied

I am having the same problem but I just have Animate 2017. Can you tell how to get and install "Adobe Animate 2015.2"?

Best

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Apr 24, 2017 Apr 24, 2017

Copy link to clipboard

Copied

Its a huge issue you guys should fix...

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
May 03, 2017 May 03, 2017

Copy link to clipboard

Copied

I wasted an entire day trying to solve this issue until I downgraded to the previous version. I am surprised to find that it's not fixed.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 03, 2017 May 03, 2017

Copy link to clipboard

Copied

hopefully, next version.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Enthusiast ,
May 08, 2017 May 08, 2017

Copy link to clipboard

Copied

This is still an issue with the latest AIR 26 beta and Animate CC 2017.2.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
May 15, 2017 May 15, 2017

Copy link to clipboard

Copied

This is annoying, I'm uninstalling last version of Animate and installing 2015.2  very frustrating...

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
May 15, 2017 May 15, 2017

Copy link to clipboard

Copied

I wish adobe communicated stuff

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 15, 2017 May 15, 2017

Copy link to clipboard

Copied

what communication are you wishing?

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
May 15, 2017 May 15, 2017

Copy link to clipboard

Copied

How about some updates to the issue or bug report? Reported April 1 (the irony) and the bug is still NeedMoreInfo. On April 4th above, a staff member said they were checking with the AIR team and would come back to update this thread. So any info about this issue would be awesome.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 15, 2017 May 15, 2017

Copy link to clipboard

Copied

this is the response i received from a report i filed last month:

Just want to update you that this is due to an issue with ADT and the latest Java which AIR team is looking into. We already have a bug to track this issue and hence closing this one. Will update you once this is resolved. Thanks!

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
May 15, 2017 May 15, 2017

Copy link to clipboard

Copied

Hi All,

AIR team has investigated this issue and found that unfortunately there is nothing that AIR team can fix here as the certificate type (1024 RSA) is not supported by the latest Java(8u121). They have raised a bug with Oracle to see if they can provide a fix for this issue in the next Java update. Until then the only way to publish using 1024 RSA certificate is to use an older version of Animate (2015.2) that has a working Java version bundled along. 

You can install 2015.2 version using the instruction provided at Download and install Creative Cloud apps​ section and this version can co-exist with the the latest version of Animate.

Thanks!

Mohan

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
May 15, 2017 May 15, 2017

Copy link to clipboard

Copied

Thank you

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Participant ,
Jun 16, 2017 Jun 16, 2017

Copy link to clipboard

Copied

There is no need to downgrade Animate, just downgrade Java to a working version like 8u74, and package the app by command line using ADT:

adt -package -target apk-captive-runtime -arch armv7 -storetype pkcs12 -keystore "rsa1024certificate.p12" -storepass 123456 appname.apk appname-app.xml appname.swf icons

I'm using the latest version of Animate, I use it to compile the SWF, to create the manifest file and configure all the publishing stuff, but I package the apps using ADT, with the downgraded Java to 8u74

It seems Oracle is not going to fix that, they rise the minimal RSA to 2048, they don't consider this a bug so, I think never is going to be fixed, from now we must have two deployment environments, one for older RSA-1024 apps and other for the new RSA-2048

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Participant ,
Jul 06, 2017 Jul 06, 2017

Copy link to clipboard

Copied

The same issue.

Ok, i'll try to downgrade Adobe

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
Aug 08, 2017 Aug 08, 2017

Copy link to clipboard

Copied

Installing and using jre8u74 did indeed work for me:
https://www.java64.net/ 

Anything earlier doesn't compile, anything later has issues with the certificate.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Sep 19, 2017 Sep 19, 2017

Copy link to clipboard

Copied

jre8u74 works with commande line, or with Animate IDE ?

I've never used command line to create an apk, very used to the IDE. I can make the effort, but I'd really enjoy someone fixes this annoying bug.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
Jan 05, 2018 Jan 05, 2018

Copy link to clipboard

Copied

Anyone know if this has been fixed or am I stuck on 2015 forever? This issue alone will make me give up on flash forever. Sad day but I am finally on the flash is dead bandwagon.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Jan 05, 2018 Jan 05, 2018

Copy link to clipboard

Copied

Same here... This and the fact that AIR 28 is really annoying with iOS on windows. You have to use more and more workarounds and it's not really a safe solution.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines